package de.javawi.jstun.attribute;

import java.util.logging.Logger;


public class SourceAddress extends MappedResponseChangedSourceAddressReflectedFrom {
	private static Logger logger = Logger.getLogger("de.javawi.stun.attribute.SourceAddress");
	public SourceAddress() {
		super(MessageAttribute.MessageAttributeType.SourceAddress);
	}
	
	public static MessageAttribute parse(byte[] data) throws MessageAttributeParsingException {
		SourceAddress sa = new SourceAddress();
		MappedResponseChangedSourceAddressReflectedFrom.parse(sa, data);
		logger.finer("Message Attribute: Source Address parsed: " + sa.toString());
		return sa;
	}
}
